<template>
  <footer class="footer main-page__footer">
    <div v-show="show_btn" class="footer__row">
      <a href="" class="btn btn-new-version">{{ footer_desc }}</a>
    </div>
    <div class="footer__row">
      <div class="footer__meta">
        <div class="footer__social-media">
          <ul>
            <li>
              <a :href="eitaaChannelUrl" title="ما را در پیام رسان ایتا دنبال کنید.">
                <NuxtImg style="width:1.2em;object-fit:contain;"
                     src="assets/common/img/site-logo-larg.png" class="img-fluid" alt="ایتا"></a>
            </li>
            <!--            <li>-->
            <!--              <a href=""><i class="tavasi tavasi-Instagram"></i></a>-->
            <!--            </li>-->
            <!--            <li>-->
            <!--              <a href=""><i class="tavasi tavasi-telegram-logo"></i></a>-->
            <!--            </li>-->
            <!--            <li>-->
            <!--              <a href=""><i class="tavasi tavasi-Union-41"></i></a>-->
            <!--            </li>-->
            <!--            <li>-->
            <!--              <a @click.prevent="showTiny()" title="مشاهده ویرایشگر tinyMCE"><i class="tavasi tavasi-Union-41"></i></a>-->
            <!--            </li>-->
          </ul>
        </div>
        <div class="footer__website">
          <a :href="tahrirAppUrl" target="_blank" title="دانلود اپ ویندوزی">{{ tahrirAppTitle }}</a>
          <div class="footer__version">{{ $t("Version") }} {{ appVersion }}</div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
  import {mapActions} from 'vuex';
  import { useCommonStore } from "~/stores/commonStore";

  export default {
    props: {
      footer_desc: {
        type: String,
        default: "نسخه جدید رسید! بروزرسانی کنید"
      },
      show_btn: {
        type: Boolean,
        default: false
      }
    },
    data() {
      return {};
    },
    computed: {
      tahrirAppUrl() {
        return import.meta.env.VITE_TAHRIR_APP_URL ?? '';
      },
      tahrirAppTitle() {
        return import.meta.env.VITE_TAHRIR_APP_TITLE ?? '';
      },
      appVersion() {
        return import.meta.env.VITE_VERSION ?? '';
      },
      eitaaChannelUrl() {
        return import.meta.env.VITE_EITAA ?? '';
      },
    },
    mounted() {
    },
    methods: {
      ...mapActions(useCommonStore, ['COMPONENT_NAME', 'SHOW_BASE_MODAL']),
      showTiny() {
        this.COMPONENT_NAME('MyTinyMce');
        this.SHOW_BASE_MODAL(true);
      }
    }
  };
</script>
